/* For CCLS to be happy */
#pragma once

/* System headers */
#include <memory>
#include <vector>
#include <atomic>
#include <algorithm>
#include <stdexcept>
#include <sstream>
#include <map>
#include <utility>
#include <locale>
#include <functional>
#include <initializer_list>
#include <cstring>
#include <string>
#include <string_view>
#include <cstdio>
#include <iostream>
#include <optional>
#include <type_traits>
#include <chrono>
#include <climits>
#include <ctype.h>
#include <mutex>
#include <iomanip>
#include <filesystem>
#include <bit>
#include <cfloat>

/* EXT_INC_PRIVATE */
#include <mpv/client.h>
#include "../vendor/lua-5.4.3/src/lua.hpp"

/* QT_STRUCT_INC */
#include <qglobal.h>
#include <QThread>
#include <QOperatingSystemVersion>
#include <QtGlobal>
#include <QObject>
#include <QRegularExpression>
#include <QString>
#include <QVariant>
#include <QFile>
#include <QDebug>
#include <QHash>
#include <QDir>
#include <QTextStream>
#include <QFileInfo>
#include <QMessageLogger>
#include <QUuid>
#include <QPointer>
#include <QProcess>
#include <QTimer>
#include <QStack>
#include <QTemporaryFile>
#include <QStandardPaths>
#include <QList>
#include <QVector>
#include <QMap>
#include <QSettings>
#include <QStringList>
#include <QMetaEnum>
#include <QJsonObject>
#include <QJsonArray>
#include <QJsonDocument>
#include <QJsonValue>

/* QT_WIDGET_INC */
#include <QCoreApplication>
#include <QTextDocument>
#include <QColor>
#include <QPalette>
#include <QWidget>
#include <QIcon>
#include <QFont>
#include <QPixmap>
#include <QApplication>
#include <QCloseEvent>
#include <QLabel>
#include <QPushButton>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QEvent>
#include <QMouseEvent>
#include <QTextEdit>
#include <QDockWidget>
#include <QMenu>
#include <QFileDialog>
#include <QMutex>
#include <QMainWindow>
#include <QPainter>
#include <QPlainTextEdit>
#include <QSlider>
#include <QAbstractItemModel>
#include <QHeaderView>
#include <QPaintEvent>
#include <QTableView>
#include <QStyledItemDelegate>
#include <QMessageBox>
#include <QScrollBar>
#include <QScrollArea>
#include <QGraphicsPixmapItem>
#include <QGraphicsSceneMouseEvent>
#include <QPen>
#include <QAction>
#include <QGraphicsItem>
#include <QGraphicsLineItem>
#include <QTreeView>
#include <QGraphicsView>
#include <QGraphicsScene>
#include <QWindow>
#include <QAbstractScrollArea>
#include <QGraphicsLineItem>
#include <QGraphicsPixmapItem>
#include <QClipboard>
#include <QInputMethodEvent>
#include <QKeyEvent>
#include <QLineEdit>
#include <QTextBlock>
#include <QTextCursor>
#include <QTextDocumentFragment>
#include <QMimeData>
#include <QSharedPointer>
#include <QStatusBar>
#include <QBrush>
#include <QFrame>
#include <QSyntaxHighlighter>
#include <QTextCharFormat>
#include <QTabWidget>
#include <QLayoutItem>
#include <QLayout>
#include <QEventLoop>
#include <QImage>
#include <QToolBar>
#include <QMenuBar>
#include <QDialogButtonBox>
#include <QFileIconProvider>
#include <QFontDatabase>
#include <QListWidget>
