# System headers
set(STL_INC
    PRIVATE
    <memory>
    <vector>
    <atomic>
    <algorithm>
    <stdexcept>
    <sstream>
    <map>
    <utility>
    <locale>
    <functional>
    <initializer_list>
    <cstring>
    <string>
    <string_view>
    <cstdio>
    <iostream>
    <optional>
    <type_traits>
    <chrono>
    <climits>
    <ctype.h>
    <mutex>
    <iomanip>
    <filesystem>
    <bit>
    <cfloat>
)

set(EXT_INC PRIVATE
    <mpv/client.h>
    "${CMAKE_CURRENT_SOURCE_DIR}/vendor/lua-5.4.3/src/lua.hpp"
)

set(QT_STRUCT_INC
    PRIVATE
    <qglobal.h>
    <QThread>
    <QOperatingSystemVersion>
    <QtGlobal>
    <QObject>
    <QRegularExpression>
    <QString>
    <QVariant>
    <QFile>
    <QDebug>
    <QHash>
    <QDir>
    <QTextStream>
    <QFileInfo>
    <QMessageLogger>
    <QUuid>
    <QPointer>
    <QProcess>
    <QTimer>
    <QStack>
    <QTemporaryFile>
    <QStandardPaths>
    <QList>
    <QVector>
    <QMap>
    <QSettings>
    <QStringList>
    <QMetaEnum>
    <QJsonObject>
    <QJsonArray>
    <QJsonDocument>
    <QJsonValue>
)

set(QT_WIDGET_INC
    PRIVATE
    <QCoreApplication>
    <QTextDocument>
    <QColor>
    <QPalette>
    <QWidget>
    <QIcon>
    <QFont>
    <QPixmap>
    <QApplication>
    <QCloseEvent>
    <QLabel>
    <QPushButton>
    <QVBoxLayout>
    <QHBoxLayout>
    <QEvent>
    <QMouseEvent>
    <QTextEdit>
    <QDockWidget>
    <QMenu>
    <QFileDialog>
    <QMutex>
    <QMainWindow>
    <QPainter>
    <QPlainTextEdit>
    <QSlider>
    <QAbstractItemModel>
    <QHeaderView>
    <QPaintEvent>
    <QTableView>
    <QStyledItemDelegate>
    <QMessageBox>
    <QScrollBar>
    <QScrollArea>
    <QGraphicsPixmapItem>
    <QGraphicsSceneMouseEvent>
    <QPen>
    <QAction>
    <QGraphicsItem>
    <QGraphicsLineItem>
    <QTreeView>
    <QGraphicsView>
    <QGraphicsScene>
    <QWindow>
    <QAbstractScrollArea>
    <QGraphicsLineItem>
    <QGraphicsPixmapItem>
    <QClipboard>
    <QInputMethodEvent>
    <QKeyEvent>
    <QLineEdit>
    <QTextBlock>
    <QTextCursor>
    <QTextDocumentFragment>
    <QMimeData>
    <QSharedPointer>
    <QStatusBar>
    <QBrush>
    <QFrame>
    <QSyntaxHighlighter>
    <QTextCharFormat>
    <QTabWidget>
    <QLayoutItem>
    <QLayout>
    <QEventLoop>
    <QImage>
    <QToolBar>
    <QMenuBar>
    <QDialogButtonBox>
    <QFileIconProvider>
    <QFontDatabase>
    <QListWidget>
)

set(Vivy_PRECOMPILED_INC PRIVATE
    ${STL_INC}
    ${QT_STRUCT_INC}
    ${QT_WIDGET_INC}
    ${EXT_INC}
)
