#pragma once

#include "PreCompiledHeaders.hh"

#include "Lib/Ass/Ass.hh"

namespace Vivy
{
class TimingSyl final : public QGraphicsObject {
    Q_OBJECT
public:
    explicit TimingSyl(Ass::Syl, int, QGraphicsItem *parent = nullptr);

    QRectF boundingRect() const override;
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) override;

private:
    Ass::Syl syl;

public:
    void setLen(quint64 len);
};

}
